%define cpanname Font-TTF
%define cpanver %{version}

Name:           perl-%{cpanname}
Version:        0.43
Release:        3%{?dist}.1
Summary:        Perl library for modifying TTF font files

Group:          Development/Libraries
# Relicensing needs to be negociated with upstream whenever it gets around
# releasing a new version
License:        Artistic
URL:            http://search.cpan.org/dist/%{cpanname}/
Source0:        http://cpan.org/authors/id/M/MH/MHOSKEN/%{cpanname}-%{cpanver}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  perl-devel, dos2unix

# The current FE perl template proposes this BuildRequires
# The current FE packaging guidelines say it's forbidden
# Commenting out while a consensus is reached
#BuildRequires:  perl
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Perl module for TrueType font hacking. Supports reading, processing and writing
of the following tables: GDEF, GPOS, GSUB, LTSH, OS/2, PCLT, bsln, cmap, cvt,
fdsc, feat, fpgm, glyf, hdmx, head, hhea, hmtx, kern, loca, maxp, mort, name,
post, prep, prop, vhea, vmtx and the reading and writing of all other table
types.

In short, you can do almost anything with a standard TrueType font with this
module.


%prep
%setup -q -n %{cpanname}-%{cpanver}
dos2unix README.TXT COPYING lib/Font/TTF/Changes

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor"
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w %{buildroot}/*


%clean
rm -rf %{buildroot}


%files
%defattr(0644,root,root,0755)
%doc README.TXT COPYING lib/Font/TTF/Changes
%dir %{perl_vendorlib}/Font
%dir %{perl_vendorlib}/Font/TTF

%{perl_vendorlib}/ttfmod.pl
%{perl_vendorlib}/Font/TTF.pm
%{perl_vendorlib}/Font/TTF/*

%exclude %{perl_vendorlib}/Font/TTF/Changes

%{_mandir}/man3/*.3*

# We really don't want to use this perl package in a Win32 env
# or poke in the windows registry to resolve fonts
# (upstream makefile needs to get smarter)
%exclude %{perl_vendorlib}/Font/TTF/Win32.pm


%changelog
* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.43-3
Rebuild for new perl

* Sat Feb 09 2008  Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 0.43-2

* Fri May 18 2007 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 0.41-1

* Tue Mar 20 2007 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 0.40.0-3
- small packaging fixes

* Sat Sep 02 2006  Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 0.40.0-2
- FE6 Rebuild

* Mon Jul 31 2006 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 0.40.0-1

* Sat Feb 18 2006 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 0.38.1-1
- new version with COPYING file as requested from upstream
  many thanks to Martin Hosken for quick action!

* Mon Feb 13 2006 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 0.37-4
- rebuilt for new gcc4.1 snapshot and glibc changes

* Sun Feb 5 2006 Nicolas Mailhot <nicolas.mailhot (at) laposte.net>
- 0.37-3
- spec cleanups #2

* Sun Feb 5 2006 Nicolas Mailhot <nicolas.mailhot (at) laposte.net>
- 0.37-2
- spec cleanups

* Sat Feb 4 2006 Nicolas Mailhot <nicolas.mailhot (at) laposte.net>
- 0.37-1
- Initial release
